#include "Be.h"


BTextView::BTextView (BRect frame, const char* name, BRect textRect, uint32 resizeMask, uint32 flags/* = B_WILL_DRAW | B_PULSE_NEEDED*/) :
BView (frame, name, resizeMask, flags),
fTextRect (textRect)
{
}

BTextView::~BTextView ()
{
}

status_t BTextView::Archive (BMessage *data, bool deep/* = true*/) const
{
	return BView::Archive (data, deep);
}

const char* BTextView::Text () const
{
	return fText.c_str ();
}

float BTextView::TextHeight (int32 startLine, int32 endLine) const
{
	return 32;
}

void BTextView::SetText (const char *inText, int32 inLength, const text_run_array *inRuns/* = NULL*/)
{
	fText = inText;
}

void BTextView::SetTextRect (BRect rect)
{
}

int32 BTextView::CountLines () const
{
	return 1;
}

void BTextView::SetWordWrap (bool wrap)
{
}

void BTextView::MakeSelectable(bool selectable/* = true*/)
{
}

void BTextView::MakeEditable(bool editable/* = true*/)
{
}

void BTextView::Draw (BRect inRect)
{
	DrawString (fText.c_str (), fTextRect.LeftTop ());
}

void BTextView::AttachedToWindow() {;}
void BTextView::DetachedFromWindow() {;}
void BTextView::MouseDown(BPoint where) {;}
void BTextView::MouseUp(BPoint where) {;}
void BTextView::MouseMoved(BPoint			where, uint32			code,  const BMessage	*message) {;}
void BTextView::WindowActivated(bool state) {;}
void BTextView::KeyDown(const char *bytes, int32 numBytes) {;}
void BTextView::Pulse() {;}
void BTextView::FrameResized(float width, float height) {;}
void BTextView::MakeFocus(bool focusState/* = true*/) {;}
void BTextView::MessageReceived(BMessage *message) {;}
BHandler* BTextView::ResolveSpecifier(BMessage *message, int32 index, BMessage *specifier, int32 form, const char *property) { return 0; }
status_t BTextView::GetSupportedSuites(BMessage *data) { return B_ERROR; }
status_t BTextView::Perform(perform_code d, void *arg) { return B_ERROR; }
void BTextView::Cut(BClipboard *clipboard) {;}
void BTextView::Copy(BClipboard *clipboard) {;}
void BTextView::Paste(BClipboard *clipboard) {;}
bool BTextView::AcceptsPaste(BClipboard *clipboard) { return false; }
bool BTextView::AcceptsDrop(const BMessage *inMessage) { return false; }
void BTextView::Select(int32 startOffset, int32 endOffset) {;}
void BTextView::FindWord(int32	inOffset, int32	*outFromOffset,  int32	*outToOffset) {;}
bool BTextView::CanEndLine(int32 offset) { return false; }
void BTextView::ScrollToOffset(int32 inOffset) {;}
void BTextView::ResizeToPreferred() {;}
void BTextView::GetPreferredSize(float *width, float *height) {;}
void BTextView::AllAttached() {;}
void BTextView::AllDetached() {;}
void BTextView::InsertText(const char				*inText,  int32					inLength,  int32					inOffset, const text_run_array		*inRuns) {;}
void BTextView::DeleteText(int32 fromOffset, int32 toOffset) {;}
void BTextView::Undo(BClipboard *clipboard) {;}
void BTextView::GetDragParameters(BMessage	*drag, BBitmap	**bitmap, BPoint	*point, BHandler	**handler) {;}


void BTextView::_ReservedTextView3() {;}
void BTextView::_ReservedTextView4() {;}
void BTextView::_ReservedTextView5() {;}
void BTextView::_ReservedTextView6() {;}
void BTextView::_ReservedTextView7() {;}
void BTextView::_ReservedTextView8() {;}
void BTextView::_ReservedTextView9() {;}
void BTextView::_ReservedTextView10() {;}
void BTextView::_ReservedTextView11() {;}
void BTextView::_ReservedTextView12() {;}
